Argus Camera Sample Argus Camera Sample

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Public Attributes
ArgusSamples::TaskMultiSession::Session Class Reference

For each device there is one session with a request. More...

List of all members.

## Public Member Functions
| Session ()
| ~Session ()
bool | shutdown ()
bool | start ()
bool | stop ()
bool | initialize (uint32_t deviceIndex)

## Public Attributes
TrackedUniqueObj < Argus::CaptureSession > | m_session
| Argus session.
TrackedUniqueObj< Argus::Request > | m_request
| Argus request.
Argus::UniqueObj < Argus::OutputStream > | m_outputStream
| Argus output stream.
UniquePointer< SessionPerfTracker > | m_perfTracker

## Detailed Description

For each device there is one session with a request.

Each request outputs to a stream which is rendered.

Definition at line 73 of file MultiSession.h.

## Constructor & Destructor Documentation

ArgusSamples::TaskMultiSession::Session::Session | ( |  | ) |

Definition at line 53 of file MultiSession.cpp.

ArgusSamples::TaskMultiSession::Session::~Session | ( |  | ) |

Definition at line 57 of file MultiSession.cpp.

## Member Function Documentation

bool ArgusSamples::TaskMultiSession::Session::initialize | ( | uint32_t | deviceIndex | ) |

Definition at line 62 of file MultiSession.cpp.

bool ArgusSamples::TaskMultiSession::Session::shutdown | ( |  | ) |

Definition at line 136 of file MultiSession.cpp.

bool ArgusSamples::TaskMultiSession::Session::start | ( |  | ) |

Definition at line 105 of file MultiSession.cpp.

bool ArgusSamples::TaskMultiSession::Session::stop | ( |  | ) |

Definition at line 120 of file MultiSession.cpp.

## Member Data Documentation

Argus::UniqueObj<Argus::OutputStream> ArgusSamples::TaskMultiSession::Session::m_outputStream

Argus output stream.

Definition at line 86 of file MultiSession.h.

UniquePointer<SessionPerfTracker> ArgusSamples::TaskMultiSession::Session::m_perfTracker

Definition at line 88 of file MultiSession.h.

TrackedUniqueObj<Argus::Request> ArgusSamples::TaskMultiSession::Session::m_request

Argus request.

Definition at line 85 of file MultiSession.h.

TrackedUniqueObj<Argus::CaptureSession> ArgusSamples::TaskMultiSession::Session::m_session

Argus session.

Definition at line 84 of file MultiSession.h.

The documentation for this class was generated from the following files:

- modules/tasks/MultiSession.h
- modules/tasks/MultiSession.cpp